---
author: Pablo Iranzo Gómez
title: Katacoda scenario creation
tags: Linux, MiniKube, Citellus, Katacoda, FOSS, KubeVirt, Kubernetes, k8s
layout: post
date: 2019-06-11 21:16:14 +0200
comments: true
category: tech
description:
---

After some time checking the scenarios at <https://learn.openshift.com>, I decided to give it a try.

With the help of [Mario Vázquez](https://linuxera.org), author of [Getting Started with Kubefed](https://learn.openshift.com/introduction/federated-clusters/), I did create two scenarios:

- [How to use Citellus](https://www.katacoda.com/iranzo/scenarios/citellus) on [Citellus: Troubleshooting automation](https://citellus.org)
- [KubeVirt](https://www.katacoda.com/iranzo/scenarios/kubevirt) on a 'browser-based' approach for [MiniKube](https://kubevirt.io/quickstart_minikube/) setup for validating KubeVirt: Kubernetes with VM Virtualization (versus the regular containers).

You can check how them can be created by looking at their code at: [Katacoda Scenarios](https://github.com/iranzo/katacoda-scenarios) or the 'playable' version at <https://www.katacoda.com/iranzo/>.

Enjoy!
